Skip to main content
GET
/
texml
/
Accounts
/
{account_sid}
/
Recordings.json
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.texml.accounts.retrieveRecordingsJson('account_sid');

console.log(response.end);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.texml.accounts.retrieve_recordings_json(
account_sid="account_sid",
)
print(response.end)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Texml.Accounts.GetRecordingsJson(
context.TODO(),
"account_sid",
telnyx.TexmlAccountGetRecordingsJsonParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.End)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.AccountRetrieveRecordingsJsonParams;
import com.telnyx.sdk.models.texml.accounts.AccountRetrieveRecordingsJsonResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

AccountRetrieveRecordingsJsonResponse response = client.texml().accounts().retrieveRecordingsJson("account_sid");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

response = telnyx.texml.accounts.retrieve_recordings_json("account_sid")

puts(response)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$response = $client->texml->accounts->retrieveRecordingsJson(
'account_sid',
dateCreated: new \DateTimeImmutable('2023-05-22T00:00:00Z'),
page: 0,
pageSize: 0,
);

var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx texml:accounts retrieve-recordings-json \
--api-key 'My API Key' \
--account-sid account_sid
curl --request GET \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Recordings.json \
--header 'Authorization: Bearer <token>'
{
  "recordings": [
    {
      "account_sid": "61bf923e-5e4d-4595-a110-56190ea18a1b",
      "call_sid": "v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA",
      "conference_sid": "cd5a70f4-759b-4d5e-9c06-88c00f16f3c1",
      "channels": 1,
      "date_created": "2023-08-11T19:12:11Z",
      "date_updated": "2023-08-11T19:12:11Z",
      "start_time": "2023-08-11T19:12:11Z",
      "duration": "12",
      "sid": "e9cea0be-7dbd-4b98-98b1-c0089d9d43b0",
      "status": "paused",
      "error_code": null,
      "subresources_uris": {
        "transcriptions": "<string>"
      },
      "uri": "/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Recordings/b08f0fa1-a32c-4218-b3b5-9cf78941ccac.json",
      "media_url": "http://recordings.com/mp3/filename.mp3"
    }
  ],
  "end": 19,
  "first_page_uri": "<string>",
  "previous_page_uri": "<string>",
  "next_page_uri": "/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Calls.json?Page=1&PageSize=1",
  "page": 0,
  "page_size": 20,
  "start": 0,
  "uri": "/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Recordings.json?Page=0&PageSize=1"
}
{
"errors": [
{
"detail": "Resource not found"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_sid
string
required

The id of the account the resource belongs to.

Query Parameters

Page
integer

The number of the page to be displayed, zero-indexed, should be used in conjuction with PageToken.

PageSize
integer

The number of records to be displayed on a page

DateCreated
string<date-time>

Filters recording by the creation date. Expected format is ISO8601 date or date-time, ie. {YYYY}-{MM}-{DD} or {YYYY}-{MM}-{DD}T{hh}:{mm}:{ss}Z. Also accepts inequality operators, e.g. DateCreated>=2023-05-22.

Example:

"2023-05-22T00:00:00Z"

Response

Successful Get Call Recordings Response

recordings
Texml Get Call Recording Response Body · object[]
end
integer

The number of the last element on the page, zero-indexed.

Example:

19

first_page_uri
string<uri>

Relative uri to the first page of the query results

previous_page_uri
string<uri>

Relative uri to the previous page of the query results

next_page_uri
string

Relative uri to the next page of the query results

Example:

"/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Calls.json?Page=1&PageSize=1"

page
integer

Current page number, zero-indexed.

Example:

0

page_size
integer

The number of items on the page

Example:

20

start
integer

The number of the first element on the page, zero-indexed.

Example:

0

uri
string

The URI of the current page.

Example:

"/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Recordings.json?Page=0&PageSize=1"